
Katello - Bug #4874

content views: Adding new filter with an existing name neither save the form nor raises any error on

UI

03/26/2014 03:44 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

refer to : https://bugzilla.redhat.com/show_bug.cgi?id=1079169

Associated revisions

Revision f5dc3036 - 03/26/2014 03:33 PM - Brad Buckingham

fixes #4874 - content view filter: display validation error to user

This commit is to ensure that validation errors when

creating a new filter are displayed to the user.  The

approach used is similar/same as what is done with

creating a new content view, in that the validation

will be inlined in the form, such that the user may

correct the error and resubmit.

Revision 33750e7f - 03/26/2014 07:33 PM - Brad Buckingham

fixes #4874 - content view filter: display validation error to user

This commit is to ensure that validation errors when

creating a new filter are displayed to the user.  The

approach used is similar/same as what is done with

creating a new content view, in that the validation

will be inlined in the form, such that the user may

correct the error and resubmit.

Revision ea76e01d - 03/26/2014 08:12 PM - Brad Buckingham

Merge pull request #3891 from bbuckingham/issue-4874

fixes #4874 - content view filter: display validation error to user

Revision a0d84967 - 03/27/2014 12:12 AM - Brad Buckingham

Merge pull request #3891 from bbuckingham/issue-4874

fixes #4874 - content view filter: display validation error to user

History

#1 - 03/26/2014 10:46 PM - Mike McCune

- Triaged changed from No to Yes

#2 - 03/27/2014 12:52 AM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:33750e7f36f334098ce22e3dc383d2c786658731.
#3 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
